function updateNavigation(navId){
	$( "#AlbumArea" ).fadeOut( "slow", 0.0, function(){ 
		let categoryChoice = document.getElementById('Gallery_Category').selectedIndex;
		let albumCategoryId = document.getElementById('Gallery_Category').options[categoryChoice].value;		
		var destination = 'includes/ajax/processing-scripts/process-update-albums.php';
		var data = new FormData();
		var now = new Date;
		data.append('AlbumCategoryId',albumCategoryId);
		data.append('AlbumId',AlbumId);
		data.append('Now',now);
		request = new XMLHttpRequest();		
		request.open("POST",destination,true);
		request.send(data);
		request.onreadystatechange = function(){              
				if(request.readyState == 4 && request.status == 200){                  
						document.getElementById("AlbumArea").innerHTML = request.responseText;
						$( "#AlbumArea" ).fadeIn( "slow" );				
				}
		} 
		
	});  
}